textures/decampment/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/decampment/j_terrain
{
	qer_editorimage textures/decampment/mud01.tga
	q3map_baseshader textures/decampment/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/decampment/mud01.tga
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/decampment/sky_grey
{
	qer_editorimage textures/skies/fueldump_clouds.tga
	q3map_lightrgb 0.88 0.88 1.00
	q3map_skylight 100 3
	q3map_sun 0.88 0.88 1.00 89 89 89
	surfaceparm sky
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/decampment/grey.tga
		rgbGen identity
	}
}

textures/decampment/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	
	fogparms ( 0.09411 0.09803 0.12549 ) 7192
}

textures/decampment/glass
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid
     { 
          map textures/decampment/glass.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          //tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/decampment/teleporter_fxlight
{
    qer_editorimage textures/decampment/xtele_iris.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/decampment/xtele_star1.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/decampment/xtele_iris.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 1.0 1.0 1.0 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/decampment/teleporter_fxlight_blue
{
    qer_editorimage textures/decampment/xtele_iris.tga
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks
    qer_trans 0.9
    cull none    
    {
        map textures/decampment/xtele_star1.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        alphaGen wave sin 1 0.02 0 0.1
        rgbGen const ( 0.0 0.45 0.9 )
        tcMod stretch sin 0.5 0.02 0 0.2
        tcMod scroll -0.2 0.05
    }
    {
        map textures/decampment/xtele_iris.tga
        blendFunc GL_SRC_ALPHA GL_ONE
        rgbGen const ( 0.0 0.3 0.9 )
        tcMod scale 1 2
        tcMod scroll -0.25 0.05
    }
}

textures/decampment/beam
{
	qer_editorimage textures/sfx/beam_1.tga
	cull none
	nocompress
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		map textures/sfx/beam_1.tga
		rgbGen const ( 0.0 0.6 0.9 )
		blendFunc add
	}
}

textures/decampment/wines
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	cull none   
	implicitMask -
}

textures/decampment/ice_slick
{
    qer_editorImage textures/decampment/ice.jpg
    q3map_surfacelight 200
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    surfaceparm nodamage
	tessSize 256



   {
      map $whiteimage
      depthWrite
      blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
      alphaGen const 0.5
      rgbGen const ( 0.819 1 0.988 )
   }


	{
		map textures/decampment/ice.jpg
		blendfunc blend
	}

    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }


    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 1 1
        rgbGen identity
    }


}

textures/decampment/1
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/1.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/2
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/2.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/3
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/3.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/4
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/4.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/5
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/5.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/6
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/6.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/7
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/7.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/8
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/8.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/9
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/9.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/10
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/10.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/11
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/11.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/12
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/12.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/13
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/13.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/decampment/14
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/decampment/14.tga
		blendFunc GL_ONE GL_ONE
	}        
}